Review a contact's complete training sequence
curl --request PATCH \
--url https://api.getoneprofile.ai/sequences/{sequence_id}/agent/training/{session_id}/contacts/{record_id}/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"expected_revision": 2,
"messages": [
{
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"edited_body": "<string>",
"edited_subject": "<string>",
"note": ""
}
],
"note": ""
}
'import requests
url = "https://api.getoneprofile.ai/sequences/{sequence_id}/agent/training/{session_id}/contacts/{record_id}/"
payload = {
"expected_revision": 2,
"messages": [
{
"step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"edited_body": "<string>",
"edited_subject": "<string>",
"note": ""
}
],
"note": ""
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: 2,
messages: [
{
step_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
edited_body: '<string>',
edited_subject: '<string>',
note: ''
}
],
note: ''
})
};
fetch('https://api.getoneprofile.ai/sequences/{sequence_id}/agent/training/{session_id}/contacts/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_version": 123,
"base_version": 123,
"contacts": [
{
"context": {},
"label": "<string>",
"messages": [
{
"authored": true,
"body": "<string>",
"conditional": "<string>",
"edited_body": "<string>",
"edited_subject": "<string>",
"error": "<string>",
"facts_used": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"note": "<string>",
"reasoning": "<string>",
"steps": [
{
"action": "<string>",
"detail": "",
"duration_ms": 123,
"observation": "",
"outcome": "completed",
"thought": "<string>"
}
],
"subject": "<string>",
"timing": "<string>",
"title": "<string>"
}
],
"note": "<string>",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "good"
}
],
"created_at": "2023-11-07T05:31:56Z",
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposal": {
"summary": "<string>",
"changes": [
{
"current": "<string>",
"proposed": "<string>",
"rationale": "<string>",
"slot_key": "<string>"
}
]
},
"revision": 123,
"status": "running",
"steps": [
{
"action": "<string>",
"detail": "",
"duration_ms": 123,
"observation": "",
"outcome": "completed",
"thought": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}sequences
Review a contact's complete training sequence
PATCH
/
sequences
/
{sequence_id}
/
agent
/
training
/
{session_id}
/
contacts
/
{record_id}
/
Review a contact's complete training sequence
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
Required range:
x >= 1Only an explicit review counts as feedback.
Available options:
good, bad, skipped Maximum array length:
100Show child attributes
Show child attributes
Maximum string length:
4000Response
Successful Response
Show child attributes
Show child attributes
The session's candidate prompt update, kept pending until applied.
Show child attributes
Show child attributes
A session's phase, also used to resume its review screen.
Available options:
running, reviewing, proposing, proposed, completed, abandoned Show child attributes
Show child attributes
Was this page helpful?